-- 基础信息
base_info = {
	group_id = 247005006
}

-- DEFS_MISCS
local GroupId = 247005006
local point_id_list = {}
local MainGroupID = 247005001
local RegionID = 6001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 6001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 80.000, y = 0.050, z = 160.000 } }
}

-- 触发器
triggers = {
	{ config_id = 1006001, name = "ENTER_REGION_6001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 6002, pos = { x = 81.179, y = -0.012, z = 173.238 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 6003, pos = { x = 78.183, y = -0.012, z = 172.536 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 6004, pos = { x = 84.406, y = -0.011, z = 172.652 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 6005, pos = { x = 74.271, y = -0.011, z = 171.328 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 6006, pos = { x = 88.344, y = -0.012, z = 170.881 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 6007, pos = { x = 71.824, y = 0.056, z = 168.829 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 6008, pos = { x = 91.579, y = -0.011, z = 168.846 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 6009, pos = { x = 71.012, y = 0.055, z = 166.294 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 6010, pos = { x = 91.692, y = -0.011, z = 165.945 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 6011, pos = { x = 70.962, y = 0.050, z = 163.199 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 6012, pos = { x = 81.248, y = -0.012, z = 171.925 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 6013, pos = { x = 76.352, y = 0.150, z = 169.959 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 6014, pos = { x = 86.302, y = -0.013, z = 170.133 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 6015, pos = { x = 72.952, y = 0.050, z = 166.862 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 6016, pos = { x = 90.488, y = -0.011, z = 165.841 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 6017, pos = { x = 73.401, y = 0.051, z = 161.206 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 6018, pos = { x = 89.899, y = 0.150, z = 159.926 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 6019, pos = { x = 76.409, y = 0.050, z = 157.394 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 6020, pos = { x = 86.480, y = 0.053, z = 156.585 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 6021, pos = { x = 81.240, y = 0.053, z = 154.530 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 6022, pos = { x = 71.233, y = -0.011, z = 172.267 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 6023, pos = { x = 91.300, y = -0.011, z = 172.267 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 6024, pos = { x = 71.233, y = 0.065, z = 153.242 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 6025, pos = { x = 91.300, y = -0.006, z = 153.242 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 6026, pos = { x = 72.967, y = -0.011, z = 172.267 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 6027, pos = { x = 93.033, y = -0.011, z = 172.267 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 6028, pos = { x = 72.967, y = 0.051, z = 153.242 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 6029, pos = { x = 93.033, y = 0.000, z = 153.242 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 6030, pos = { x = 68.551, y = -0.011, z = 172.267 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 6031, pos = { x = 88.617, y = -0.012, z = 172.267 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 6032, pos = { x = 68.551, y = -0.011, z = 153.242 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 6033, pos = { x = 88.617, y = 0.050, z = 153.242 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 6034, pos = { x = 80.053, y = 0.050, z = 166.277 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 6035, pos = { x = 82.285, y = 0.050, z = 166.277 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 6036, pos = { x = 78.140, y = 0.057, z = 166.277 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 6037, pos = { x = 84.331, y = 0.050, z = 166.277 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 6038, pos = { x = 76.268, y = 0.059, z = 166.277 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 6039, pos = { x = 86.169, y = 0.050, z = 166.277 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 6040, pos = { x = 78.023, y = 0.064, z = 163.905 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 6041, pos = { x = 84.069, y = 0.050, z = 163.905 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 6042, pos = { x = 82.285, y = 0.050, z = 163.905 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 6043, pos = { x = 80.053, y = 0.052, z = 163.905 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 6044, pos = { x = 80.053, y = 0.052, z = 155.344 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 6001 },
		triggers = { "ENTER_REGION_6001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
